This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### bezierDetail()
Examples |
    // Move the mouse left and right to see the detail change

    void setup() {
      size(100, 100, P3D);
      noFill();
    }

    void draw() {
      background(204);
      int d = int(map(mouseX, 0, 100, 1, 20));
      bezierDetail(d);
      bezier(85, 20, 10, 10, 90, 90, 15, 80);
    }
Description | Sets the resolution at which Beziers display. The default value is 20. This function is only useful when using the P3D renderer; the default P2D renderer does not use this information.
Syntax |
    bezierDetail(detail)
Parameters |
detail | int: resolution of the curves
Returns | void
Related | curve() curveVertex() curveTightness()

Updated on October 26, 2013 08:58:31pm PDT